Package voltage.core

# Enum Class VoltageDigitalCounter.Justification

java.lang.Object
java.lang.Enum<VoltageDigitalCounter.Justification>
voltage.core.VoltageDigitalCounter.Justification

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageDigitalCounter.Justification>`, `Constable`

Enclosing class:
  `VoltageDigitalCounter`

public static enum VoltageDigitalCounter.Justification extends Enum<VoltageDigitalCounter.Justification>
Justification of the numbers within the control.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Bottom`
  `BottomLeft`
  `BottomRight`
  `Centered`
  `CenteredBottom`
  `CenteredLeft`
  `CenteredRight`
  `CenteredTop`
  `HorizCentered`
  `HorizJustified`
  `Left`
  `Right`
  `Top`
  `TopLeft`
  `TopRight`
  `VertCentered`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageDigitalCounter.Justification`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageDigitalCounter.Justification[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Left

    public static final VoltageDigitalCounter.Justification Left

  - ### Right

    public static final VoltageDigitalCounter.Justification Right

  - ### HorizCentered

    public static final VoltageDigitalCounter.Justification HorizCentered

  - ### Top

    public static final VoltageDigitalCounter.Justification Top

  - ### Bottom

    public static final VoltageDigitalCounter.Justification Bottom

  - ### VertCentered

    public static final VoltageDigitalCounter.Justification VertCentered

  - ### HorizJustified

    public static final VoltageDigitalCounter.Justification HorizJustified

  - ### Centered

    public static final VoltageDigitalCounter.Justification Centered

  - ### CenteredLeft

    public static final VoltageDigitalCounter.Justification CenteredLeft

  - ### CenteredRight

    public static final VoltageDigitalCounter.Justification CenteredRight

  - ### CenteredTop

    public static final VoltageDigitalCounter.Justification CenteredTop

  - ### CenteredBottom

    public static final VoltageDigitalCounter.Justification CenteredBottom

  - ### TopLeft

    public static final VoltageDigitalCounter.Justification TopLeft

  - ### TopRight

    public static final VoltageDigitalCounter.Justification TopRight

  - ### BottomLeft

    public static final VoltageDigitalCounter.Justification BottomLeft

  - ### BottomRight

    public static final VoltageDigitalCounter.Justification BottomRight

- ## Method Details

  - ### values

    public static VoltageDigitalCounter.Justification[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageDigitalCounter.Justification valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null